* {
    margin: 0px;
    padding: 0px;

}

html{
    scroll-behavior: smooth;
}

header{
    background-color: #FFF78B;
    padding: 20px;
    margin-bottom: 10px;
    text-align: center;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 800;
    font-style: normal;
    font-size: 30px;
}

#logo {
    margin: auto;
    display: grid;
    position: relative;
    grid-template-columns: 1fr;
    padding: 50px;
    justify-content: center;
}

body{
    background-color: #94D5FF;
}

nav a {
    margin-right: 30px;
    letter-spacing: 1px;
    color: rgb(255, 0, 0);
    text-decoration: none;
    font-family: "Orbitron", sans-serif;
    font-optical-sizing: auto;
}

#about {
    font-family: "Rajdhani", sans-serif;
    font-weight: 500;
    font-style: normal;
    text-align: center;
    text-shadow: 1px 2px 10px rgb(39, 46, 63);
    margin: 25px;
}

#about h1 {
    text-align: center;
    margin: 15px;
}

#characters {
    width: 80%;
    max-width: 2000px;
    height: auto;
    margin: 82px auto;
    transition: transform 0.5s ease-in-out;
    display: grid;
    position: relative;
    gap: 1.44rem;
    grid-template-columns: 1fr;
}

.face{
   background-color: azure;
   font-family: "Orbitron", sans-serif;
   font-optical-sizing: auto;
   padding: 15px;
   opacity: 0.1;
   transition: opacity 500ms;
}

.show{
    opacity: 1;
}

.face figcaption {
    text-align: center;
    font-size: 25px;
}

.face img{
    width: 100%;
    height: auto;
    transform: scale(1);
    transition: 0.5s ease-in-out;

}

.face:hover img{
    transform: scale(0.9) translateY(-25px);
}

.face .hidden{
    visibility: hidden;
    transition: 0.5s ease-in-out;
    transform: scale(0.1) translateY(25px);
}
.face:hover .hidden{
    visibility: visible;
    transform: scale(1);    
}


@media screen and (min-width: 770px) {
    #characters{
        grid-template-columns: 1fr 1fr;
    }
    
}

@media screen and (min-width: 1100px) {
    #characters{
        grid-template-columns: 1fr 1fr 1fr;
    }
    
}
@media screen and (min-width: 1200px) {
    #characters{
        grid-template-columns: repeat(4, 1fr);
    }
}

footer{
    padding: 10px;
    margin: 10px;
    text-align: center;
}